/*
 * Copyright (c) 2002 by Tsuyoshi Iguchi (zinnia@risky-safety.org)
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *	$Id: playwav.h,v 1.1.1.1 2002/07/30 11:02:37 zinnia Exp $
 */

#ifndef _PLAYWAV_H
#define _PLAYWAV_H

typedef struct {
  char* name;
  int (*audio_open)(int bit, int rate, int ch);
  int (*audio_play)(unsigned char* buf, int len);
  void (*audio_sync)();
  void (*audio_close)();
} driver_vector;

#ifndef O_BINARY
#define O_BINARY 0
#define FORCE_BINMODE(fd) /* do nothing*/
#else
#define FORCE_BINMODE(fd) setmode(fd, O_BINARY)
#endif

#define DEFAULT_PLAY_RATE 48000
#define DEFAULT_PLAY_CH 2
#define DEFAULT_PLAY_FORMAT "s16"

#define DEFAULT_PLAY_DRIVER "sdl"

#endif
